##############################################
#
#    Rでらくらく心理統計 / 　小杉考司(著)　/　5章で使ったコード
#
##############################################

# 乱数発生のスタート地点を決めておきます
set.seed(12345)
# 特別なパッケージが必要です。MASSパッケージを読み込んでいます。
library(MASS)
# 作り出す乱数の数を決めておきます。10000もあれば十分でしょう
N <- 10000
# 平均ゼロ，相関ゼロになるような数字の組みを一万個作り，Xに代入しています
X <- mvrnorm(N,c(0,0),matrix(c(1,0,0,1),nrow=2),empirical=TRUE)
# Xの最初の20組(1行目から20行目まで)のデータで相関係数を計算します
cor(X[1:20,])


trace <- c()
for(i in 1:100){
  S <- sample(1:N,20)
  trace[i] <- cor(X[S,])[1,2]
}

summary(trace)
hist(trace)
